Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel
Class PDDocumentInformation

    java.lang.Object
      org.pdfbox.pdmodel.PDDocumentInformation

All Implemented Interfaces:
  COSObjectable

public class PDDocumentInformation
extends Object
implements COSObjectable

This is the document metadata. Each getXXX method will return the entry if it exists or null if it does not exist. If you pass in null for the setXXX method then it will clear the value.

Version:
  $Revision: 1.6 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDDocumentInformation(COSDictionary dic)` Constructor that is used for a preexisting dictionary.

Method Summary
`String` | `getAuthor()` This will get the author of the document.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`Calendar` | `getCreationDate()` This will get the creation date of the document.
`String` | `getCreator()` This will get the creator of the document.
`COSDictionary` | `getDictionary()` This will get the underlying dictionary that this object wraps.
`String` | `getKeywords()` This will get the keywords of the document.
`Calendar` | `getModificationDate()` This will get the modification date of the document.
`String` | `getProducer()` This will get the producer of the document.
`String` | `getSubject()` This will get the subject of the document.
`String` | `getTitle()` This will get the title of the document.
`String` | `getTrapped()` This will get the trapped value for the document.
`void` | `setAuthor(String author)` This will set the author of the document.
`void` | `setCreationDate(Calendar date)` This will set the creation date of the document.
`void` | `setCreator(String creator)` This will set the creator of the document.
`void` | `setKeywords(String keywords)` This will set the keywords of the document.
`void` | `setModificationDate(Calendar date)` This will set the modification date of the document.
`void` | `setProducer(String producer)` This will set the producer of the document.
`void` | `setSubject(String subject)` This will set the subject of the document.
`void` | `setTitle(String title)` This will set the title of the document.
`void` | `setTrapped(String value)` This will set the trapped of the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDDocumentInformation

    public PDDocumentInformation(COSDictionary dic)

  Constructor that is used for a preexisting dictionary.

Parameters:
  `dic` - The underlying dictionary.

Method Detail

### getDictionary

    public COSDictionary getDictionary()

  This will get the underlying dictionary that this object wraps.

  Returns:
    The underlying info dictionary.

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getTitle

    public String getTitle()

  This will get the title of the document. This will return null if no title exists.

  Returns:
    The title of the document.

### setTitle

    public void setTitle(String title)

  This will set the title of the document.

  Parameters:
    `title` - The new title for the document.

### getAuthor

    public String getAuthor()

  This will get the author of the document. This will return null if no author exists.

  Returns:
    The author of the document.

### setAuthor

    public void setAuthor(String author)

  This will set the author of the document.

  Parameters:
    `author` - The new author for the document.

### getSubject

    public String getSubject()

  This will get the subject of the document. This will return null if no subject exists.

  Returns:
    The subject of the document.

### setSubject

    public void setSubject(String subject)

  This will set the subject of the document.

  Parameters:
    `subject` - The new subject for the document.

### getKeywords

    public String getKeywords()

  This will get the keywords of the document. This will return null if no keywords exists.

  Returns:
    The keywords of the document.

### setKeywords

    public void setKeywords(String keywords)

  This will set the keywords of the document.

  Parameters:
    `keywords` - The new keywords for the document.

### getCreator

    public String getCreator()

  This will get the creator of the document. This will return null if no creator exists.

  Returns:
    The creator of the document.

### setCreator

    public void setCreator(String creator)

  This will set the creator of the document.

  Parameters:
    `creator` - The new creator for the document.

### getProducer

    public String getProducer()

  This will get the producer of the document. This will return null if no producer exists.

  Returns:
    The producer of the document.

### setProducer

    public void setProducer(String producer)

  This will set the producer of the document.

  Parameters:
    `producer` - The new producer for the document.

### getCreationDate

    public Calendar getCreationDate()

  This will get the creation date of the document. This will return null if no creation date exists.

  Returns:
    The creation date of the document.

### setCreationDate

    public void setCreationDate(Calendar date)

  This will set the creation date of the document.

  Parameters:
    `date` - The new creation date for the document.

### getModificationDate

    public Calendar getModificationDate()

  This will get the modification date of the document. This will return null if no modification date exists.

  Returns:
    The modification date of the document.

### setModificationDate

    public void setModificationDate(Calendar date)

  This will set the modification date of the document.

  Parameters:
    `date` - The new modification date for the document.

### getTrapped

    public String getTrapped()

  This will get the trapped value for the document. This will return null if one is not found.

  Returns:
    The trapped value for the document.

### setTrapped

    public void setTrapped(String value)

  This will set the trapped of the document. This will be 'True', 'False', or 'Unknown'.

  Parameters:
    `value` - The new trapped value for the document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD